Subject: [netconf] RFC6241/RFC7952 model-level interop?

From: Robert Varga <[email-masked]>
Date: Thu, 28 Feb 2019 17:04:29 +0100

Hello,

as an implementer of both RFC6241 and RFC7952, I would find it very
useful if there were an ietf-netconf.yang which includes the annotation
definition of edit-config's operation attribute (Section 7.2).

Are there any plans for RFC6241bis or similar, bringing only an update
to ietf-netconf.yang?

Thanks,
Robert

---

From: Kent Watsen <[email-masked]>
Date: Fri, 1 Mar 2019 02:38:28 +0000

Hi Robert,

There is currently no plan to do this, nor is there an rfc6241bis in sight,
though one may be prompted by the YANG-next discussion happening
in NETMOD.

Options (open to comments):

a) file an Errata
b) file a feature request (start a NETCONF-next issue tracker?) 
c) submit an I-D that *updates* just this aspect of RFC 6241
d) submit an I-D for rfc6241bis  (we're probably not ready for this yet)
e) any other choices?

Kent

> On Feb 28, 2019, at 11:04 AM, Robert Varga <[email-masked]> wrote:
> 
> Hello,
> 
> _______________________________________________
> netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf